Bug 711570 - The nmcli fails to work if "org/freedesktop/NetworkManager/..." is not initalized
Summary: The nmcli fails to work if "org/freedesktop/NetworkManager/..." is not inital...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-07 19:18 UTC by Peter Trenholme
Modified: 2012-08-07 16:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:01:03 UTC


Attachments (Terms of Use)

Description Peter Trenholme 2011-06-07 19:18:07 UTC
Description of problem: When the nmcli command is executed in run level 3 or from rc,local, it fails (of course) when it attempts to use "org.freedesktop..." stuff since that has not yet been initialized.


Version-Release number of selected component (if applicable):
nmcli tool, version 0.8.9997-1.git20110531.fc15

How reproducible:
Every time

Steps to Reproduce:
1. Log in (as root, but it makes no difference) at init level 3
2. Issue the command "nmcli con list" (or any other command)
3.
  
Actual results:
Error messages like these:

** (process:1822): WARNING **: Error in getting active connection 'Vpn' property: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


** (process:1822): WARNING **: _nm_object_array_demarshal: couldn't create object for /org/freedesktop/NetworkManager/ActiveConnection/4

** (process:1822): WARNING **: Error in getting active connection 'Vpn' property: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


** (process:1822): WARNING **: _nm_object_array_demarshal: couldn't create object for /org/freedesktop/NetworkManager/ActiveConnection/4

** (process:1822): WARNING **: Error in getting active connection 'Vpn' property: (19) Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist

Expected results:

List of available connections (or whatever results you'd expect for  a nmcli command)

Additional info:

The man page states "The main nmcli's usage is on servers, headless machines or just for power users who prefer the command line," but not all of those uses require that an X-server be running (or, if those messages are produced just because the "org.freedesktop" to get initialized, then the NetworkManager service should make sure it's done).

Comment 1 Peter Trenholme 2011-06-07 19:23:30 UTC
Oh, I should have noted that the failed command (even though those are warnings), does not exit, and requires a ^C from the console to move on. (I.e., the failure "hangs" the console.) Thus, using "nmcli" from rc.local will abort a logon.

Comment 2 Travis Suel 2012-01-10 19:52:55 UTC
This bug persists in Fedora 16 and renders nmcli practically useless when no instance of X is running.  It is impossible to connect to a wifi AP with nmcli in the multi-user systemd target.

Comment 3 Fedora End Of Life 2012-08-07 16:01:05 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.